<?php

namespace Teknisa\MAN\Services;

use Doctrine\ORM\EntityManager;

class KdsMensagemDias{
    
    public function __construct(\Doctrine\ORM\EntityManager $entityManager)  {
		$this->entityManager = $entityManager;
	}
	
	public function saveDias ($conditions){
	    try{
            $dias = $conditions['NRDIA'];
            $cdMensagem = $conditions['CDMENSAGEM'];
            $nrOrg = $conditions['NRORG'];
            
            $paramsDelete = array(
               'CDMENSAGEM'=>$cdMensagem,
               'NRORG'=>$nrOrg
            );
            $this->entityManager->getConnection()->beginTransaction();
            $this->entityManager->getConnection()->executeQuery(self::DELETE_KDSMSGDIAS,$paramsDelete);
            
            foreach ($dias as $dia) {
            $params = array(
                'CDMENSAGEM'=>$cdMensagem,
                'NRORG'=>$nrOrg,
                'NRDIA'=>$dia
            );
            $this->entityManager->getConnection()->executeQuery(self::INSERT_KDSMSGDIA,$params);
        }
        $this->entityManager->getConnection()->commit();
        return "OK";
	    }catch(\Exception $e){
	        $this->entityManager->getConnection()->rollBack();
	        throw new \Exception($e->getMessage());
	    }
	}
	
	const DELETE_KDSMSGDIAS = "
	    DELETE FROM KDSMSGDIAS WHERE CDMENSAGEM = :CDMENSAGEM AND NRORG = :NRORG
	";
	
	const INSERT_KDSMSGDIA = "
	    INSERT INTO KDSMSGDIAS (CDMENSAGEM,NRORG,NRDIA) VALUES (:CDMENSAGEM,:NRORG,:NRDIA)
	";
	
}